Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 349668 - [kde overlay] kde-base/pykde4-4.5.90 emerge fails
Summary: [kde overlay] kde-base/pykde4-4.5.90 emerge fails
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: AMD64 Linux
: High normal with 1 vote (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-25 06:07 UTC by Maksym
Modified: 2010-12-29 00:20 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
a patch for latest sip releases (pykde-4.5.90-sip-4.12.patch,1.96 KB, patch)
2010-12-27 11:55 UTC, Patrizio Bassi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maksym 2010-12-25 06:07:19 UTC
After system sync update from kde overlay kde-base/pykde4-4.5.90 emerge fails

Reproducible: Always

Steps to Reproduce:
emerge -uNDv world

Actual Results:  
 * Package:    kde-base/pykde4-4.5.90
 * Repository: kde
 * Maintainer: kde@gentoo.org
 * USE:        amd64 elibc_glibc kernel_linux multilib userland_GNU
 * FEATURES:   sandbox
>>> Unpacking source...
 * Unpacking parts of kdebindings-4.5.90.tar.bz2 to /var/tmp/portage/kde-base/pykde4-4.5.90/work ...
tar: kdebindings-4.5.90/ConfigureChecks.cmake: Не найден в архиве
tar: kdebindings-4.5.90/config.h.cmake: Не найден в архиве
tar: Завершение работы с состоянием неисправности с из-за возникших ошибок
 * tar extract command failed at least partially - continuing anyway                                                                                             [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/pykde4-4.5.90/work
>>> Preparing source in /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90_build"
cmake -C /var/tmp/portage/kde-base/pykde4-4.5.90/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DKDE4_BUILD_TESTS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONF_INSTALL_DIR=/etc -DWITH_QScintilla=OFF -DWITH_PolkitQt=OFF -DWITH_Soprano=OFF -DWITH_Nepomuk=OFF -DWITH_KdepimLibs=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/kde-base/pykde4-4.5.90/temp/gentoo_rules.cmake  /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90
loading initial cache file /var/tmp/portage/kde-base/pykde4-4.5.90/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.7.1 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE 
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4 
-- Found Perl: /usr/bin/perl 
-- Found Phonon: /usr/include 
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.6 include dir: /usr/include
-- Found KDE 4.6 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found PythonInterp: /usr/bin/python 
-- Found Python executable: /usr/bin/python
-- Found Python version: 2.7.1
-- Found Python library: /usr/lib64/libpython2.7.so
-- Python Libraries: /usr/lib64/libpython2.7.so
-- Python Include Path: /usr/include/python2.7
-- Build Kross Python... yes
-- Found SIP version: 4.12
-- Found PyQt4 version: 4.8.2
-- Found Python executable: /usr/bin/python
-- Found Python version: 2.7.1
-- Found Python library: /usr/lib64/libpython2.7.so
-- Found PyQt4 version: 4.8.2
-- KDE_VERSION: 4.5.90
-- KDE4_INCLUDE_DIR: /usr/include
-- KDE4_LIB_DIR: /usr/lib64
-- PYTHON_SITE_PACKAGES_INSTALL_DIR: /usr/lib64/python2.7/site-packages
-- Build PyKDE4... yes

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * Soprano  <kdesupport>
     Soprano Libraries
     Required for Soprano Python bindings.
   * Nepomuk  <kdesupport>
     Nepomuk Libraries
     Required for Nepomuk Python bindings.
   * Kdepimlibs  <kdepimlibs>
     KDE pim Libraries
     Required for Akonadi Python bindings.
   * Polkit-Qt  <kdesupport>
     Qt Wrapper around PolicyKit
     Required to build PolicyKit-Qt support

-----------------------------------------------------------------------------

-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -march=core2 -O2 -pipe  -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
C++             -march=core2 -O2 -pipe  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Werror=return-type -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden
Linker flags:
Executable      -Wl,--enable-new-dtags -Wl,-O1 -Wl,--as-needed
Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90_build"
make -j3 
[  1%] Scanning dependencies of target compile_python_files
[  2%] Generating sip/dnssd/sipdnssdpart0.cpp, sip/dnssd/sipdnssdpart1.cpp, sip/dnssd/sipdnssdpart2.cpp, sip/dnssd/sipdnssdpart3.cpp, sip/dnssd/sipdnssdpart4.cpp, sip/dnssd/sipdnssdpart5.cpp, sip/dnssd/sipdnssdpart6.cpp, sip/dnssd/sipdnssdpart7.cpp                                                                                        
                                                                                                                                                                        
Generating sip/kdecore/sipkdecorepart0.cpp, sip/kdecore/sipkdecorepart1.cpp, sip/kdecore/sipkdecorepart2.cpp, sip/kdecore/sipkdecorepart3.cpp, sip/kdecore/sipkdecorepart4.cpp, sip/kdecore/sipkdecorepart5.cpp, sip/kdecore/sipkdecorepart6.cpp, sip/kdecore/sipkdecorepart7.cpp                                                               
                                                                                                                                                                        


[  2%] Built target compile_python_files
[  3%] Generating sip/kdeui/sipkdeuipart0.cpp, sip/kdeui/sipkdeuipart1.cpp, sip/kdeui/sipkdeuipart2.cpp, sip/kdeui/sipkdeuipart3.cpp, sip/kdeui/sipkdeuipart4.cpp, sip/kdeui/sipkdeuipart5.cpp, sip/kdeui/sipkdeuipart6.cpp, sip/kdeui/sipkdeuipart7.cpp                                                                                        
                                                                                                                                                                        
sip: /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/kdecore/sipkdecorepart0.cpp] Ошибка 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/all] Ошибка 2
make[1]: *** Ожидание завершения заданий...
sip: /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/dnssd/sipdnssdpart0.cpp] Ошибка 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_dnssd.dir/all] Ошибка 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/kdeui/sipkdeuipart0.cpp] Ошибка 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Ошибка 2
make: *** [all] Ошибка 2
emake failed
 * ERROR: kde-base/pykde4-4.5.90 failed:
 *   Make failed!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 6604:  Called kde4-meta_src_compile
 *   environment, line 3920:  Called kde4-base_src_compile
 *   environment, line 3554:  Called cmake-utils_src_compile
 *   environment, line 1749:  Called _execute_optionaly 'src_compile'
 *   environment, line  707:  Called enable_cmake-utils_src_compile
 *   environment, line 2126:  Called cmake-utils_src_make
 *   environment, line 1768:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 * 
 * If you need support, post the output of 'emerge --info =kde-base/pykde4-4.5.90',
 * the complete build log and the output of 'emerge -pqv =kde-base/pykde4-4.5.90'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/kde/eclass/kde4-meta.eclass
 *   /var/lib/layman/kde/eclass/kde4-base.eclass
 *   /var/lib/layman/kde/eclass/kde4-functions.eclass
 * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
 * The complete build log is located at '/var/tmp/portage/kde-base/pykde4-4.5.90/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-4.5.90/temp/environment'.
 * S: '/var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90'
Comment 1 Maksym 2010-12-25 06:10:21 UTC
emerge --info
Portage 2.1.9.26 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.1, glibc-2.12.1-r3, 2.6.36-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-r5-x86_64-Pentium-R-_Dual-Core_CPU_T4200_@_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 25 Dec 2010 05:00:19 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1, 3.1.3
dev-util/cmake:      2.8.3
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.6.8
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LC_ALL="ru_RU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="uk ru ua"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/rion /var/lib/layman/kde"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 apm aspell berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cvs cxx dbus djvu dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fortran ftp gdbm gdu gif gpm hal iconv icq jabber jpeg kde lame lcms libnotify lm_sensors lzo mad matroska mikmod mime mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 raw readline sdl session slang spell sse sse2 ssl startup-notification subversion svg sysfs taglib tcpd theora tiff truetype udev unicode usb v4l v4l2 vdpau vorbis wifi x264 xcb xine xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="uk ru ua" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Maksym 2010-12-25 06:11:07 UTC
emerge -pqv =kde-base/pykde4-4.5.90
[ebuild     U ] kde-base/pykde4-4.5.90 [4.5.85] USE="(-aqua) -debug -doc -examples (-kdeenablefinal) (-kdeprefix) -semantic-desktop"
Comment 3 Zac Medico gentoo-dev 2010-12-25 06:43:26 UTC
I'm getting a similar error when trying to rebuild pykde4-4.5.4 after I've updated to dev-python/sip-4.12 and dev-python/PyQt4-4.8.2.
Comment 4 Kamen Dokov 2010-12-25 10:26:32 UTC
(In reply to comment #3)
> I'm getting a similar error when trying to rebuild pykde4-4.5.4 after I've
> updated to dev-python/sip-4.12 and dev-python/PyQt4-4.8.2.
> 

Yeah mee too:

sip: /var/tmp/portage/kde-base/pykde4-4.5.4/work/pykde4-4.5.4/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/kdecore/sipkdecorepart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
sip: /var/tmp/portage/kde-base/pykde4-4.5.4/work/pykde4-4.5.4/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/dnssd/sipdnssdpart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_dnssd.dir/all] Error 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.4/work/pykde4-4.5.4/python/pykde4/sip/kdecore/typedefs.sip:587: %MappedType template for this type has already been defined
make[2]: *** [python/pykde4/sip/akonadi/sipakonadipart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_akonadi.dir/all] Error 2
make: *** [all] Error 2
emake failed
Comment 5 Patrizio Bassi 2010-12-26 15:26:43 UTC
looks like https://bugs.gentoo.org/show_bug.cgi?id=301106
Comment 6 Patrizio Bassi 2010-12-27 11:55:09 UTC
Created attachment 258163 [details, diff]
a patch for latest sip releases
Comment 7 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-29 00:20:06 UTC
Fixed and reported upstream